Mobile Identity Verification Request API
Sends a mobile identity verification request from the merchant server to Hecto Financial. Supports both SMS (6-digit OTP) and APP-based verification.
This service is available exclusively for Easy Cash Direct Debit enrollment with Hecto Financial.
API Information
POST/v1/api/auth/mobile/req
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/auth/mobile/req운영
https://npay.settlebank.co.kr/v1/api/auth/mobile/reqRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code. Fixed value.
Message type code. Fixed value.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID. AES-256 encrypted.Customer ID. AES-256 encrypted.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└uiiAN(10)Alphanumeric, up to 10 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Date of birth (yymmdd) + gender digit, or business registration number (10 digits). AES-256 encrypted.Date of birth (yymmdd) + gender digit, or business registration number (10 digits). AES-256 encrypted.
└telecomCdN(1)Numeric, up to 1 bytes*Mobile carrier code.
Mobile carrier code.
1: SKT 2: KT 3: LGT 4: SKT MVNO 5: KT MVNO 6: LGT MVNO└cphoneNoAN(11)Alphanumeric, up to 11 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Mobile phone number (no hyphens). AES-256 encrypted.Mobile phone number (no hyphens). AES-256 encrypted.
└mchtCustNmAN(60)Alphanumeric, up to 60 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer name (Korean: 3 bytes per character). AES-256 encrypted.Customer name (Korean: 3 bytes per character). AES-256 encrypted.
└authMthdCdN(1)Numeric, up to 1 bytes*Verification method.
Verification method.
1: SMS 2: APP└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature Composition
mchtId + mchtCustId + reqDt + reqTm + uii + cphoneNo + authMthdCd + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└tidAN(50)Alphanumeric, up to 50 bytes*Identity verification key. Used in the verification confirmation request.
settlebank20190430034655251226Identity verification key. Used in the verification confirmation request.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Transaction reference number.
STFP_FIRM12345678901234567890Transaction reference number.
Need technical support?
Code Samples
HectoFinancial GitHub